%define major	1
%define libname	%mklibname voikko %major
%define devname	%mklibname voikko -d

Summary:	A spellchecker/hyphenator library using Malaga
Name:		libvoikko
Version:	3.5
Release:	%mkrel 2
License:	GPLv2+
Group:		Text tools
URL:		http://voikko.sourceforge.net/
Source:		http://downloads.sourceforge.net/voikko/%name-%version.tar.gz
BuildRequires:	python

%description
This is libvoikko, library for spellcheckers and hyphenators using
Malaga natural language grammar development tool. The library is
written in C.

Currently only Finnish is supported, but adding support for other
languages should not be too hard.

%package -n voikko-tools
Summary:	Test programs for libvoikko
Group:		Text tools
Requires:	voikko-dictionary

%description -n voikko-tools
This is libvoikko, library for spellcheckers and hyphenators using
Malaga natural language grammar development tool.

This package contains the voikkospell and voikkohyphenate programs.

%package -n %libname
Summary:	Shared library of libvoikko
Group:		System/Libraries
Provides:	%name = %version-%release

%description -n %libname
This is libvoikko, library for spellcheckers and hyphenators using
Malaga natural language grammar development tool. The library is
written in C.

This package contains the library needed to run programs dynamically
linked with libvoikko.

%package -n %devname
Summary:	Headers and static library for libvoikko development
Group:		Development/C
Requires:	%libname = %version
Provides:	libvoikko-devel = %version-%release
Provides:	voikko-devel = %version-%release
Obsoletes:	%{_lib}voikko1-devel

%description -n %devname
This is libvoikko, library for spellcheckers and hyphenators using
Malaga natural language grammar development tool. The library is
written in C.

This package contains the headers and static library that
programmers will need to develop applications which will use
libvoikko.

%package -n python-%name
Summary:	Python bindings for libvoikko
Group:		Development/Python
Requires:	%libname
Requires:	voikko-dictionary

%description -n python-%name
This is libvoikko, library for spellcheckers and hyphenators using
Malaga natural language grammar development tool. The library is
written in C.

This package contains the Python bindings for libvoikko.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

install -D -m644 python/libvoikko.py %{buildroot}%{python_sitelib}/libvoikko.py

%files -n voikko-tools
%doc README
%{_bindir}/voikkogc
%{_bindir}/voikkospell
%{_bindir}/voikkohyphenate
%{_bindir}/voikkovfstc
%{_mandir}/man1/voikkogc.1*
%{_mandir}/man1/voikkospell.1*
%{_mandir}/man1/voikkohyphenate.1*
%{_mandir}/man1/voikkovfstc.1*

%files -n %libname
%doc README
%{_libdir}/*.so.%{major}*

%files -n %devname
%doc README
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%files -n python-%name
%doc README
%{python_sitelib}/libvoikko.py


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.5-2.mga3
+ Revision: 358413
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 02 2012 luigiwalser <luigiwalser> 3.5-1.mga3
+ Revision: 287318
- fix files list (add voikkovfstc)

  + fwang <fwang>
    - new version 3.5

* Sun Feb 12 2012 anssi <anssi> 3.4.1-1.mga2
+ Revision: 208104
- new version 3.4.1

* Wed Dec 21 2011 fwang <fwang> 3.4-1.mga2
+ Revision: 185395
- new version 3.4

* Tue Sep 27 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 149242
- new version 3.3.1
- new version 3.2.1

* Mon Mar 28 2011 mikala <mikala> 3.2-2.mga1
+ Revision: 78503
- Update tarball to 3.2
- Remove BuildRoot

* Tue Jan 18 2011 pterjan <pterjan> 3.1-2.mga1
+ Revision: 21834
- Rebuild for python 2.7

* Fri Jan 14 2011 anssi <anssi> 3.1-1.mga1
+ Revision: 17575
- drop old macros
- new version
- imported package libvoikko

